<?php

namespace App\Repositories\Presenters\Score;

use App\Repositories\Transformers\Score\RecordTransformer;
use Prettus\Repository\Presenter\FractalPresenter;

/**
 * Class RecordPresenter.
 *
 * @package namespace App\Repositories\Presenters\Score;
 */
class RecordPresenter extends FractalPresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer()
    {
        return new RecordTransformer();
    }
}
