<?php

namespace App\Repositories\Transformers\Base;

use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Resource;

/**
 * Class ResourceTransformer.
 *
 * @package namespace App\Repositories\Transformers;
 */
class ResourceTransformer extends TransformerAbstract
{
    /**
     * Transform the Resource entity.
     *
     * @param \App\Repositories\Models\Resource $model
     *
     * @return array
     */
    public function transform(Resource $model)
    {
        return [
            'id' => (int)$model->id,

            /* place your other model properties here */

            'created_at' => $model->created_at,
            'updated_at' => $model->updated_at
        ];
    }
}
