<?php

namespace App\Repositories\Validators\Score;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class RecordValidator.
 *
 * @package namespace App\Repositories\Validators\Score;
 */
class RecordValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'nullable',
            'money' => 'required',
            'score' => 'required',
            'remark' => 'nullable',
            'status' => 'required|integer',
            'member_id' => 'required|integer',
            'type' => 'required|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'nullable',
            'money' => 'required',
            'score' => 'required',
            'remark' => 'nullable',
            'status' => 'required|integer',
            'member_id' => 'required|integer',
            'type' => 'required|integer',
        ],
    ];
}
