<?php

namespace App\Repositories\Validators\Score;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class MemberValidator.
 *
 * @package namespace App\Repositories\Validators\Score;
 */
class MemberValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'nullable',
            'mobile' => 'required|size:11',
            'sex' => 'required|integer',
            'tags' => 'nullable',
            'status' => 'required|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'nullable',
            'mobile' => 'required|size:11',
            'sex' => 'required|integer',
            'tags' => 'nullable',
            'status' => 'required|integer',
        ],
    ];
}
